<?php

// Version vom 02.09.2013

class KtoSepa {
  private $COM;
  public function __construct() {
    if (substr(PHP_OS, 0, 3)=='WIN')
      $this->COM=new COM('Bank.KtoSepa');
  }
  public function __destruct() {
  }

  // Fehlerbehandlung

  public function GetErrorMessage($aErrorCode) {
    if (isset($this->COM))
      return $this->COM->GetErrorMessage($aErrorCode);
    else
      return KtoSepaGetErrorMessage($aErrorCode);
  }
  public function GetLastError() {
    if (isset($this->COM))
      return $this->COM->GetLastError();
    else
      return KtoSepaGetLastError();
  }

  // Vorbereitende Funktionen

  public function SetSepaVersion($aSepaVersion) {
    if (isset($this->COM))
      return $this->COM->SetSepaVersion($aSepaVersion);
    else
      return KtoSepaSetSepaVersion($aSepaVersion);
  }
  public function SetBankDays($aCreditBankOffset, $aShortBankOffset, $aLongBankOffset) {
    if (isset($this->COM))
      $this->COM->SetBankDays($aCreditBankOffset, $aShortBankOffset, $aLongBankOffset);
    else
      KtoSepaSetBankDays($aCreditBankOffset, $aShortBankOffset, $aLongBankOffset);
  }
  public function SetBankHour($aBankHour) {
    if (isset($this->COM))
      $this->COM->SetBankHour($aBankHour);
    else
      KtoSepaSetBankHour($aBankHour);
  }
  public function GetShortDueDate() {
    if (isset($this->COM))
      return $this->COM->GetShortDueDate();
    else
      return KtoSepaGetShortDueDate();
  }
  public function GetLongDueDate() {
    if (isset($this->COM))
      return $this->COM->GetLongDueDate();
    else
      return KtoSepaGetLongDueDate();
  }
  public function GetActualDueDate() {
    if (isset($this->COM))
      return $this->COM->GetActualDueDate();
    else
      return KtoSepaGetActualDueDate();
  }

  // Funktionen fr Gutschriften

  public function OpenCredit($aMsgId, $aPmtInfId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic) {
    if (isset($this->COM))
      return $this->COM->OpenCredit($aMsgId, $aPmtInfId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic);
    else
      return KtoSepaOpenCredit($aMsgId, $aPmtInfId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic);
  }
  public function WriteCredit($aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend) {
    if (isset($this->COM))
      return $this->COM->WriteCredit($aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend);
    else
      return KtoSepaWriteCredit($aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend);
  }
  public function CloseCredit($aFileName) {
     if (isset($this->COM))
       return $this->COM->CloseCredit($aFileName);
     else
       return KtoSepaCloseCredit($aFileName);
  }

  // Funktionen fr Lastschriften

  public function SetDbDirectory($aDbDirectory) {
     if (isset($this->COM))
       return $this->COM->SetDbDirectory($aDbDirectory);
     else
       return KtoSepaSetDbDirectory($aDbDirectory);
  }
  public function GetDbDirectory() {
     if (isset($this->COM))
       return $this->COM->GetDbDirectory();
     else
       return KtoSepaGetDbDirectory();
  }
  public function TestDbDirectory() {
     if (isset($this->COM))
       return $this->COM->TestDbDirectory();
     else
       return KtoSepaTestDbDirectory();
  }
  public function OpenDebit($aMandant, $aMsgId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic, $aCreditorId) {
    if (isset($this->COM))
      return $this->COM->OpenDebit($aMandant, $aMsgId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic, $aCreditorId);
    else
      return KtoSepaOpenDebit($aMandant, $aMsgId, $aInitgPty, $aCtgyPurp, $aAuftraggeber, $aIban, $aBic, $aCreditorId);
  }
  public function WriteDebit($aKunde, $aSeqTp, $aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend, $aMandatRef, $aMandatDate) {
    if (isset($this->COM))
      return $this->COM->WriteDebit($aKunde, $aSeqTp, $aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend, $aMandatRef, $aMandatDate);
    else
      return KtoSepaWriteDebit($aKunde, $aSeqTp, $aBetrag, $aName, $aIban, $aBic, $aPurp, $aRef, $aVerwend, $aMandatRef, $aMandatDate);
  }
  public function CloseDebit($aFileName) {
     if (isset($this->COM))
       return $this->COM->CloseDebit($aFileName);
     else
       return KtoSepaCloseDebit($aFileName);
  }
  public function GetTempList() {
     if (isset($this->COM))
       return $this->COM->GetTempList();
     else
       return KtoSepaGetTempList();
  }
  public function DeleteTemp($aMandant) {
     if (isset($this->COM))
       return $this->COM->DeleteTemp($aMandant);
     else
       return KtoSepaDeleteTemp($aMandant);
  }
  public function MergeTemp($aMandant) {
     if (isset($this->COM))
       return $this->COM->MergeTemp($aMandant);
     else
       return KtoSepaMergeTemp($aMandant);
  }

  // Diagnose-/Datenbankfunktionen

  public function ExportToFile($aMandant, $aFileName) {
     if (isset($this->COM))
       return $this->COM->ExportToFile($aMandant, $aFileName);
     else
       return KtoSepaExportToFile($aMandant, $aFileName);
  }
  public function ImportFromFile($aMandant, $aFileName) {
     if (isset($this->COM))
       return $this->COM->ImportFromFile($aMandant, $aFileName);
     else
       return KtoSepaImportFromFile($aMandant, $aFileName);
  }

  // Sonder-/Erweiterte Funktionen

  public function SepaCommand($aCommand, $aPar1, $aPar2, $aPar3, $aPar4, $aPar5, $aPar6) {
     if (isset($this->COM))
       return $this->COM->SepaCommand($aCommand, $aPar1, $aPar2, $aPar3, $aPar4, $aPar5, $aPar6);
     else
       return KtoSepaSepaCommand($aCommand, $aPar1, $aPar2, $aPar3, $aPar4, $aPar5, $aPar6);
  }

}

?>
